
From: Nick Piggin <nickpiggin@yahoo.com.au>

From: John Hawkes

The following brings up performance on a 64-way Altix.  This system being on
the smaller end of the scale should also be applicable to other NUMA systems.


---

 25-akpm/include/linux/sched.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/linux/sched.h~sched-altix-tune1 include/linux/sched.h
--- 25/include/linux/sched.h~sched-altix-tune1	2004-04-27 20:37:32.214042592 -0700
+++ 25-akpm/include/linux/sched.h	2004-04-27 20:37:32.218041984 -0700
@@ -636,7 +636,7 @@ struct sched_domain {
 	.groups			= NULL,			\
 	.min_interval		= 8,			\
 	.max_interval		= 256*fls(num_online_cpus()),\
-	.busy_factor		= 8,			\
+	.busy_factor		= 32,			\
 	.imbalance_pct		= 125,			\
 	.cache_hot_time		= (10*1000000),		\
 	.cache_nice_tries	= 1,			\

_
